#!/bin/bash
#------------------------------------------------------------------------------
set -u

declare Job=
declare OldReleaseCL=

function msg () { echo -e "$*"; }

# Run this from your local directory in your workpsace on //sdp/dev
# corresponding to:
# //guest/perforce_software/sdp/tools
#
# You must have a valid ticket.

# shellcheck disable=SC1091
source ./env.sh
OldReleaseCL=$(p4 print -q //guest/perforce_software/sdp/main/Version |cut -d '/' -f 4|cut -d ' ' -f 1)

msg "Jobs fixed since $OldReleaseCL:"

for Job in $(p4 -ztag -F %Job% fixes //guest/perforce_software/sdp/dev/...@$((OldReleaseCL+1)),@now); do
   gjh.sh "$Job"
done

msg "\\n"
